GNU bug report logs - #17739
24.3; Dotted circle does not combine with Thai vowel markers

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Brady Garvin <bgarvin@HIDDEN>; dated Sun, 8 Jun 2014 17:55:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 17739 <at> debbugs.gnu.org:


Received: (at 17739) by debbugs.gnu.org; 28 Jun 2014 02:01:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 27 22:01:20 2014
Received: from localhost ([127.0.0.1]:35565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0hxA-0005U1-3q
	for submit <at> debbugs.gnu.org; Fri, 27 Jun 2014 22:01:20 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:44875 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <handa@HIDDEN>) id 1X0hx7-0005Tt-S4
 for 17739 <at> debbugs.gnu.org; Fri, 27 Jun 2014 22:01:18 -0400
Received: from fl1-125-197-74-119.iba.mesh.ad.jp ([125.197.74.119]:41702
 helo=wanchai)
 by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <handa@HIDDEN>)
 id 1X0hx6-0001Ct-Ek; Fri, 27 Jun 2014 22:01:16 -0400
Received: from handa by wanchai with local (Exim 4.80)
 (envelope-from <handa@HIDDEN>)
 id 1X0hwt-0002AT-Qo; Sat, 28 Jun 2014 11:01:03 +0900
From: handa@HIDDEN (K. Handa)
To: handa@HIDDEN (K. Handa)
Subject: Re: bug#17739: 24.3;
 Dotted circle does not combine with Thai vowel markers
In-Reply-To: <877g4n5sww.fsf@HIDDEN> (handa@HIDDEN)
Date: Sat, 28 Jun 2014 11:01:03 +0900
Message-ID: <87simpssgw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 17739
Cc: bgarvin@HIDDEN, 17739 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

In article <877g4n5sww.fsf@HIDDEN>, handa@HIDDEN (K. Handa) writes:

> But, the above function is not yet perfect.  In some fonts,
> a glyhp of dotted-circle may have positive width, a glyph of
> a character following dotted-circle may be narrower than the
> glyph of dotted-circle.  The function should handle those
> cases gracefully.  I'm now working on it.

I've just committed a function to handle dotted-circle
properly to the trunk.

---
Kenichi Handa
handa@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17739; Package emacs. Full text available.

Message received at 17739 <at> debbugs.gnu.org:


Received: (at 17739) by debbugs.gnu.org; 11 Jun 2014 16:10:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 11 12:10:31 2014
Received: from localhost ([127.0.0.1]:44338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wul6Y-00038K-Lc
	for submit <at> debbugs.gnu.org; Wed, 11 Jun 2014 12:10:31 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:42464 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <handa@HIDDEN>) id 1Wul6S-00037u-PX
 for 17739 <at> debbugs.gnu.org; Wed, 11 Jun 2014 12:10:24 -0400
Received: from fl1-110-233-83-81.iba.mesh.ad.jp ([110.233.83.81]:39239
 helo=wanchai)
 by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <handa@HIDDEN>)
 id 1Wul6Q-00083a-Ni; Wed, 11 Jun 2014 12:10:19 -0400
Received: from handa by wanchai with local (Exim 4.80)
 (envelope-from <handa@HIDDEN>)
 id 1Wul6F-0003zj-Ar; Thu, 12 Jun 2014 01:10:07 +0900
From: handa@HIDDEN (K. Handa)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17739: 24.3;
 Dotted circle does not combine with Thai vowel markers
In-Reply-To: <838up63j1x.fsf@HIDDEN> (message from Eli Zaretskii on Mon,
 09 Jun 2014 05:36:58 +0300)
Date: Thu, 12 Jun 2014 01:10:07 +0900
Message-ID: <877g4n5sww.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 17739
Cc: bgarvin@HIDDEN, 17739 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

In article <838up63j1x.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

> Check out the character composition rules in thai-util.el, perhaps
> something is missing there.

The function for composing Thai is thai-composition-function
in thai-util.el and which surely doesn't handle
dotted-circle.  I think what we need is a general function
to compose dotted-circle with the following character
artifically.  When you eval the following code:

(defun compose-dotted-circle (gstring)
  (let* ((dotted-circle-glyph (lgstring-glyph gstring 0))
	 (following-glyph (lgstring-glyph gstring 1))
	 (from (lglyph-from dotted-circle-glyph))
	 (to (lglyph-to following-glyph)))
    (lglyph-set-from-to dotted-circle-glyph from to)
    (lglyph-set-from-to following-glyph from to)
    gstring))

(aset composition-function-table ?=E2=97=8C '(["=E2=97=8C[^=E2=97=8C ]" 0 c=
ompose-dotted-circle]))

and Thai characters and dotted circle use the same Norasi
font, I think you get a good result.  Could you please try?

But, the above function is not yet perfect.  In some fonts,
a glyhp of dotted-circle may have positive width, a glyph of
a character following dotted-circle may be narrower than the
glyph of dotted-circle.  The function should handle those
cases gracefully.  I'm now working on it.

---
Kenichi Handa
handa@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17739; Package emacs. Full text available.

Message received at 17739 <at> debbugs.gnu.org:


Received: (at 17739) by debbugs.gnu.org; 9 Jun 2014 15:13:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 09 11:13:20 2014
Received: from localhost ([127.0.0.1]:42096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wu1GB-0005ae-KJ
	for submit <at> debbugs.gnu.org; Mon, 09 Jun 2014 11:13:19 -0400
Received: from cse-mail.unl.edu ([129.93.165.11]:54356)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bgarvin@HIDDEN>) id 1Wu1G9-0005aU-4e
 for 17739 <at> debbugs.gnu.org; Mon, 09 Jun 2014 11:13:17 -0400
X-Virus-Scanned: amavisd-new at cse.unl.edu
Received: from cse-barracuda.cse.unl.edu (cse-barracuda.unl.edu
 [129.93.164.185]) (authenticated bits=0)
 by cse-mail.unl.edu (8.14.8/8.14.5/SuSE Linux 0.8) with ESMTP id
 s59FDFeS019242
 for <17739 <at> debbugs.gnu.org>; Mon, 9 Jun 2014 10:13:16 -0500
X-ASG-Debug-ID: 1402326795-07de113e061385f0001-6VczBg
Received: from cse.unl.edu (cse.unl.edu [129.93.165.2]) by
 cse-barracuda.cse.unl.edu with ESMTP id fOo3t5nqrtYTMEDt for
 <17739 <at> debbugs.gnu.org>; Mon, 09 Jun 2014 10:13:15 -0500 (CDT)
X-Barracuda-Envelope-From: bgarvin@HIDDEN
X-Barracuda-RBL-Trusted-Forwarder: 129.93.165.2
Received: from cse.unl.edu (localhost [127.0.0.1])
 by cse.unl.edu (8.14.5/8.14.5) with ESMTP id s59FDFiM067997
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <17739 <at> debbugs.gnu.org>; Mon, 9 Jun 2014 10:13:15 -0500
Received: from localhost (bgarvin@localhost)
 by cse.unl.edu (8.14.5/8.14.3/Submit) with ESMTP id s59FDFQF067993
 for <17739 <at> debbugs.gnu.org>; Mon, 9 Jun 2014 10:13:15 -0500
Date: Mon, 9 Jun 2014 10:13:15 -0500 (CDT)
X-Barracuda-RBL-IP: 0.0.0.0
From: Brady Garvin <bgarvin@HIDDEN>
To: 17739 <at> debbugs.gnu.org
Subject: Re: bug#17739: 24.3; Dotted circle does not combine with Thai vowel
 markers
In-Reply-To: <837g4q2lqy.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#17739: 24.3;
 Dotted circle does not combine with Thai vowel markers
Message-ID: <alpine.LNX.2.00.1406091010240.63077@HIDDEN>
References: <871tuzgvcd.fsf@HIDDEN>
 <878up7nt0k.fsf@HIDDEN> <alpine.LNX.2.00.1406081635280.51322@HIDDEN>
 <838up63j1x.fsf@HIDDEN> <alpine.LNX.2.00.1406082201420.64819@HIDDEN>
 <837g4q2lqy.fsf@HIDDEN>
User-Agent: Alpine 2.00 (LNX 1167 2008-08-23)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Barracuda-Connect: cse.unl.edu[129.93.165.2]
X-Barracuda-Start-Time: 1402326795
X-Barracuda-URL: http://cse-barracuda.unl.edu:8000/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at cse.unl.edu
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=9.0 tests=
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.6504
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 17739
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

>
> The first suspect is your font driver.  As described in INSTALL, you
> need to build Emacs with libotf, m17n-db, and libm17n-flt libraries to
> correctly display complex scripts.  Did you build Emacs with those?
>

Not sure; I'm using the Ubuntu package emacs24.  I'll try a fresh
build after work and, if that fixes it, send a report to Canonical.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17739; Package emacs. Full text available.

Message received at 17739 <at> debbugs.gnu.org:


Received: (at 17739) by debbugs.gnu.org; 9 Jun 2014 14:36:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 09 10:36:40 2014
Received: from localhost ([127.0.0.1]:42071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wu0ge-0004Vb-0u
	for submit <at> debbugs.gnu.org; Mon, 09 Jun 2014 10:36:40 -0400
Received: from mtaout27.012.net.il ([80.179.55.183]:51141)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Wu0gY-0004V7-76
 for 17739 <at> debbugs.gnu.org; Mon, 09 Jun 2014 10:36:34 -0400
Received: from conversion-daemon.mtaout27.012.net.il by mtaout27.012.net.il
 (HyperSendmail v2007.08) id <0N6W00900O3EAX00@HIDDEN> for
 17739 <at> debbugs.gnu.org; Mon, 09 Jun 2014 17:33:19 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout27.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N6W001BVOFJV890@HIDDEN>; Mon, 09 Jun 2014 17:33:19 +0300 (IDT)
Date: Mon, 09 Jun 2014 17:36:21 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17739: 24.3;
 Dotted circle does not combine with Thai vowel markers
In-reply-to: <alpine.LNX.2.00.1406082201420.64819@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Brady Garvin <bgarvin@HIDDEN>
Message-id: <837g4q2lqy.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <871tuzgvcd.fsf@HIDDEN>
 <878up7nt0k.fsf@HIDDEN> <alpine.LNX.2.00.1406081635280.51322@HIDDEN>
 <838up63j1x.fsf@HIDDEN> <alpine.LNX.2.00.1406082201420.64819@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17739
Cc: 17739 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sun, 8 Jun 2014 22:17:49 -0500 (CDT)
> From: Brady Garvin <bgarvin@HIDDEN>
> 
> Thanks for the pointer.  With
> 
> 58c58,59
> < (let ((l '((?ก consonant "LETTER KO KAI")				; 0xA1
> ---
> > (let ((l '((?◌ consonant "DOTTED CIRCLE")
> > 	   (?ก consonant "LETTER KO KAI")				; 0xA1
> 
> and a reevaluation of the relevant s-expression, thai-compose-region
> and thai-compose-buffer give me almost correct results for that test
> case.  The vowel does combine, but renders oddly:
> 
> When the cursor is over the dotted circle, the vowel, which should
> appear roughly centered above, is shown above and to the left.
> 
> When the cursor is just to the right of the dotted circle, the vowel
> is shown in the same place, but the character to the left of the
> dotted circle is occluded by another dotted circle.
> 
> When the cursor is just to the left of the dotted circle, the vowel is
> shown above and to the right.
> 
> When the cursor is elsewhere, the rendering is unchanged from its most
> recent state.
> 
> Perhaps that's a separate issue?

The first suspect is your font driver.  As described in INSTALL, you
need to build Emacs with libotf, m17n-db, and libm17n-flt libraries to
correctly display complex scripts.  Did you build Emacs with those?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17739; Package emacs. Full text available.

Message received at 17739 <at> debbugs.gnu.org:


Received: (at 17739) by debbugs.gnu.org; 9 Jun 2014 03:17:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 08 23:17:55 2014
Received: from localhost ([127.0.0.1]:41719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wtq5r-0000Ik-4P
	for submit <at> debbugs.gnu.org; Sun, 08 Jun 2014 23:17:55 -0400
Received: from cse-mail.unl.edu ([129.93.165.11]:49930)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bgarvin@HIDDEN>) id 1Wtq5n-0000IZ-TH
 for 17739 <at> debbugs.gnu.org; Sun, 08 Jun 2014 23:17:52 -0400
X-Virus-Scanned: amavisd-new at cse.unl.edu
Received: from cse-barracuda.cse.unl.edu (cse-barracuda.unl.edu
 [129.93.164.185]) (authenticated bits=0)
 by cse-mail.unl.edu (8.14.8/8.14.5/SuSE Linux 0.8) with ESMTP id
 s593Ho4a030227
 for <17739 <at> debbugs.gnu.org>; Sun, 8 Jun 2014 22:17:50 -0500
X-ASG-Debug-ID: 1402283870-07de113e06125cb0001-6VczBg
Received: from cse.unl.edu (cse.unl.edu [129.93.165.2]) by
 cse-barracuda.cse.unl.edu with ESMTP id OO3CGrEvMk9mxO34 for
 <17739 <at> debbugs.gnu.org>; Sun, 08 Jun 2014 22:17:50 -0500 (CDT)
X-Barracuda-Envelope-From: bgarvin@HIDDEN
X-Barracuda-RBL-Trusted-Forwarder: 129.93.165.2
Received: from cse.unl.edu (localhost [127.0.0.1])
 by cse.unl.edu (8.14.5/8.14.5) with ESMTP id s593HnUd073159
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <17739 <at> debbugs.gnu.org>; Sun, 8 Jun 2014 22:17:50 -0500
Received: from localhost (bgarvin@localhost)
 by cse.unl.edu (8.14.5/8.14.3/Submit) with ESMTP id s593HnLH073155
 for <17739 <at> debbugs.gnu.org>; Sun, 8 Jun 2014 22:17:49 -0500
Date: Sun, 8 Jun 2014 22:17:49 -0500 (CDT)
X-Barracuda-RBL-IP: 0.0.0.0
From: Brady Garvin <bgarvin@HIDDEN>
To: 17739 <at> debbugs.gnu.org
Subject: Re: bug#17739: 24.3; Dotted circle does not combine with Thai vowel
 markers
In-Reply-To: <838up63j1x.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#17739: 24.3;
 Dotted circle does not combine with Thai vowel markers
Message-ID: <alpine.LNX.2.00.1406082201420.64819@HIDDEN>
References: <871tuzgvcd.fsf@HIDDEN>
 <878up7nt0k.fsf@HIDDEN> <alpine.LNX.2.00.1406081635280.51322@HIDDEN>
 <838up63j1x.fsf@HIDDEN>
User-Agent: Alpine 2.00 (LNX 1167 2008-08-23)
MIME-Version: 1.0
Content-Type: MULTIPART/MIXED;
 BOUNDARY="1568735909-972883013-1402283869=:64819"
X-Barracuda-Connect: cse.unl.edu[129.93.165.2]
X-Barracuda-Start-Time: 1402283870
X-Barracuda-URL: http://cse-barracuda.unl.edu:8000/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at cse.unl.edu
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=9.0 tests=
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.6493
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 17739
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.

--1568735909-972883013-1402283869=:64819
Content-Type: TEXT/PLAIN; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8BIT

>
> Check out the character composition rules in thai-util.el, perhaps
> something is missing there.
>

Thanks for the pointer.  With

58c58,59
< (let ((l '((?ก consonant "LETTER KO KAI")				; 0xA1
---
> (let ((l '((?◌ consonant "DOTTED CIRCLE")
> 	   (?ก consonant "LETTER KO KAI")				; 0xA1

and a reevaluation of the relevant s-expression, thai-compose-region
and thai-compose-buffer give me almost correct results for that test
case.  The vowel does combine, but renders oddly:

When the cursor is over the dotted circle, the vowel, which should
appear roughly centered above, is shown above and to the left.

When the cursor is just to the right of the dotted circle, the vowel
is shown in the same place, but the character to the left of the
dotted circle is occluded by another dotted circle.

When the cursor is just to the left of the dotted circle, the vowel is
shown above and to the right.

When the cursor is elsewhere, the rendering is unchanged from its most
recent state.

Perhaps that's a separate issue?
--1568735909-972883013-1402283869=:64819--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17739; Package emacs. Full text available.

Message received at 17739 <at> debbugs.gnu.org:


Received: (at 17739) by debbugs.gnu.org; 9 Jun 2014 02:37:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 08 22:37:11 2014
Received: from localhost ([127.0.0.1]:41714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WtpSQ-0007Wg-Ah
	for submit <at> debbugs.gnu.org; Sun, 08 Jun 2014 22:37:10 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:49300)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WtpSN-0007Ui-Ie
 for 17739 <at> debbugs.gnu.org; Sun, 08 Jun 2014 22:37:08 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0N6V00300PRETR00@HIDDEN> for 17739 <at> debbugs.gnu.org;
 Mon, 09 Jun 2014 05:37:00 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N6V003B0R9OS060@HIDDEN>;
 Mon, 09 Jun 2014 05:37:00 +0300 (IDT)
Date: Mon, 09 Jun 2014 05:36:58 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17739: 24.3;
 Dotted circle does not combine with Thai vowel markers
In-reply-to: <alpine.LNX.2.00.1406081635280.51322@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Brady Garvin <bgarvin@HIDDEN>
Message-id: <838up63j1x.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <871tuzgvcd.fsf@HIDDEN>
 <878up7nt0k.fsf@HIDDEN> <alpine.LNX.2.00.1406081635280.51322@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17739
Cc: 17739 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sun, 8 Jun 2014 16:37:55 -0500 (CDT)
> From: Brady Garvin <bgarvin@HIDDEN>
> 
> Thanks.  However, I see the same problem even putting both characters
> in the same font.  With S-mouse-1 "Change Buffer Font..." I select
> Norasi.  M-x describe-char then reports
> 
>          character: ◌ (9676, #o22714, #x25cc)
> preferred charset: unicode-bmp
>  		   (Unicode Basic Multilingual Plane (U+0000..U+FFFF))
>         code point: 0x25CC
>             syntax: w 	which means: word
>           category: .:Base
>        buffer code: #xE2 #x97 #x8C
>          file code: #xE2 #x97 #x8C (encoded by coding system utf-8-unix)
>            display: by this font (glyph code)
>      xft:-unknown-Norasi-normal-normal-normal-*-13-*-*-*-*-0-iso10646-1 (#x146)
> 
> and
> 
>          character: ึ (3638, #o7066, #xe36)
> preferred charset: unicode-bmp
>  		   (Unicode Basic Multilingual Plane (U+0000..U+FFFF))
>         code point: 0x0E36
>             syntax: w 	which means: word
>           category: 2:upper diacritic, t:Thai
>        buffer code: #xE0 #xB8 #xB6
>          file code: #xE0 #xB8 #xB6 (encoded by coding system utf-8-unix)
>            display: by this font (glyph code)
>      xft:-unknown-Norasi-normal-normal-normal-*-13-*-*-*-*-0-iso10646-1 (#x109)
> 
> The characters remain uncombined.

Check out the character composition rules in thai-util.el, perhaps
something is missing there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17739; Package emacs. Full text available.

Message received at 17739 <at> debbugs.gnu.org:


Received: (at 17739) by debbugs.gnu.org; 8 Jun 2014 22:59:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 08 18:59:19 2014
Received: from localhost ([127.0.0.1]:41679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wtm3a-000839-7y
	for submit <at> debbugs.gnu.org; Sun, 08 Jun 2014 18:59:19 -0400
Received: from cse-mail.unl.edu ([129.93.165.11]:48479)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bgarvin@HIDDEN>) id 1Wtkmr-0005Qi-VU
 for 17739 <at> debbugs.gnu.org; Sun, 08 Jun 2014 17:37:59 -0400
X-Virus-Scanned: amavisd-new at cse.unl.edu
Received: from cse-barracuda.cse.unl.edu (cse-barracuda.unl.edu
 [129.93.164.185]) (authenticated bits=0)
 by cse-mail.unl.edu (8.14.8/8.14.5/SuSE Linux 0.8) with ESMTP id
 s58LbuV4012270
 for <17739 <at> debbugs.gnu.org>; Sun, 8 Jun 2014 16:37:56 -0500
X-ASG-Debug-ID: 1402263476-07de113e06121a80001-6VczBg
Received: from cse.unl.edu (cse.unl.edu [129.93.165.2]) by
 cse-barracuda.cse.unl.edu with ESMTP id 1wHBhtcn4X5qQ6lD for
 <17739 <at> debbugs.gnu.org>; Sun, 08 Jun 2014 16:37:56 -0500 (CDT)
X-Barracuda-Envelope-From: bgarvin@HIDDEN
X-Barracuda-RBL-Trusted-Forwarder: 129.93.165.2
Received: from cse.unl.edu (localhost [127.0.0.1])
 by cse.unl.edu (8.14.5/8.14.5) with ESMTP id s58LbtEv058631
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <17739 <at> debbugs.gnu.org>; Sun, 8 Jun 2014 16:37:56 -0500
Received: from localhost (bgarvin@localhost)
 by cse.unl.edu (8.14.5/8.14.3/Submit) with ESMTP id s58Lbtvc058627
 for <17739 <at> debbugs.gnu.org>; Sun, 8 Jun 2014 16:37:55 -0500
Date: Sun, 8 Jun 2014 16:37:55 -0500 (CDT)
X-Barracuda-RBL-IP: 0.0.0.0
From: Brady Garvin <bgarvin@HIDDEN>
To: 17739 <at> debbugs.gnu.org
Subject: Re: bug#17739: 24.3; Dotted circle does not combine with Thai vowel
 markers
In-Reply-To: <878up7nt0k.fsf@HIDDEN>
X-ASG-Orig-Subj: Re: bug#17739: 24.3;
 Dotted circle does not combine with Thai vowel markers
Message-ID: <alpine.LNX.2.00.1406081635280.51322@HIDDEN>
References: <871tuzgvcd.fsf@HIDDEN>
 <878up7nt0k.fsf@HIDDEN>
User-Agent: Alpine 2.00 (LNX 1167 2008-08-23)
MIME-Version: 1.0
Content-Type: MULTIPART/MIXED;
 BOUNDARY="1568735909-1628236746-1402263475=:51322"
X-Barracuda-Connect: cse.unl.edu[129.93.165.2]
X-Barracuda-Start-Time: 1402263476
X-Barracuda-URL: http://cse-barracuda.unl.edu:8000/cgi-mod/mark.cgi
X-Virus-Scanned: by bsmtpd at cse.unl.edu
X-Barracuda-BRTS-Status: 1
X-Barracuda-Spam-Score: 0.00
X-Barracuda-Spam-Status: No, SCORE=0.00 using global scores of TAG_LEVEL=1000.0
 QUARANTINE_LEVEL=1000.0 KILL_LEVEL=9.0 tests=
X-Barracuda-Spam-Report: Code version 3.2, rules version 3.2.3.6485
 Rule breakdown below
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 17739
X-Mailman-Approved-At: Sun, 08 Jun 2014 18:59:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.

--1568735909-1628236746-1402263475=:51322
Content-Type: TEXT/PLAIN; format=flowed; charset=UTF-8
Content-Transfer-Encoding: 8BIT

Thanks.  However, I see the same problem even putting both characters
in the same font.  With S-mouse-1 "Change Buffer Font..." I select
Norasi.  M-x describe-char then reports

         character: ◌ (9676, #o22714, #x25cc)
preferred charset: unicode-bmp
 		   (Unicode Basic Multilingual Plane (U+0000..U+FFFF))
        code point: 0x25CC
            syntax: w 	which means: word
          category: .:Base
       buffer code: #xE2 #x97 #x8C
         file code: #xE2 #x97 #x8C (encoded by coding system utf-8-unix)
           display: by this font (glyph code)
     xft:-unknown-Norasi-normal-normal-normal-*-13-*-*-*-*-0-iso10646-1 (#x146)

and

         character: ึ (3638, #o7066, #xe36)
preferred charset: unicode-bmp
 		   (Unicode Basic Multilingual Plane (U+0000..U+FFFF))
        code point: 0x0E36
            syntax: w 	which means: word
          category: 2:upper diacritic, t:Thai
       buffer code: #xE0 #xB8 #xB6
         file code: #xE0 #xB8 #xB6 (encoded by coding system utf-8-unix)
           display: by this font (glyph code)
     xft:-unknown-Norasi-normal-normal-normal-*-13-*-*-*-*-0-iso10646-1 (#x109)

The characters remain uncombined.
--1568735909-1628236746-1402263475=:51322--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17739; Package emacs. Full text available.

Message received at 17739 <at> debbugs.gnu.org:


Received: (at 17739) by debbugs.gnu.org; 8 Jun 2014 18:41:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 08 14:41:39 2014
Received: from localhost ([127.0.0.1]:41577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wti2E-00082o-8I
	for submit <at> debbugs.gnu.org; Sun, 08 Jun 2014 14:41:38 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:41323)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <whitebox@HIDDEN>) id 1Wti2A-00082Y-Vm
 for 17739 <at> debbugs.gnu.org; Sun, 08 Jun 2014 14:41:36 -0400
Received: from frontend1.mail.m-online.net (frontend1.mail.intern.m-online.net
 [192.168.8.180])
 by mail-out.m-online.net (Postfix) with ESMTP id 3gmmdn5RxHz3hhb0;
 Sun,  8 Jun 2014 20:41:32 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
 by mail.m-online.net (Postfix) with ESMTP id 3gmmdm5R5FzbbcP;
 Sun,  8 Jun 2014 20:41:32 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.180])
 by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
 port 10024)
 with ESMTP id sS9BHx-ds0SY; Sun,  8 Jun 2014 20:41:32 +0200 (CEST)
X-Auth-Info: iCRM5jY9J0aj9wEZyiHIOdLOmf/3i3LNLXbTLb8fCMI=
Received: from igel.home (ppp-93-104-156-12.dynamic.mnet-online.de
 [93.104.156.12]) by mail.mnet-online.de (Postfix) with ESMTPA;
 Sun,  8 Jun 2014 20:41:32 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id E39EF2C3C8A; Sun,  8 Jun 2014 20:41:31 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Brady Garvin <bgarvin@HIDDEN>
Subject: Re: bug#17739: 24.3;
 Dotted circle does not combine with Thai vowel markers
References: <871tuzgvcd.fsf@HIDDEN>
X-Yow: If a person is FAMOUS in this country, they have to go on the ROAD
 for MONTHS at a time and have their name misspelled on the SIDE
 of a GREYHOUND SCENICRUISER!!
Date: Sun, 08 Jun 2014 20:41:31 +0200
In-Reply-To: <871tuzgvcd.fsf@HIDDEN>
 (Brady Garvin's message of "Sun, 08 Jun 2014 12:33:06 -0500")
Message-ID: <878up7nt0k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17739
Cc: 17739 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Brady Garvin <bgarvin@HIDDEN> writes:

> Actual behavior: the characters do not combine; a dotted circle is shown
> followed by the vowel over empty space.

Emacs can only combine characters if they are displayed by the same
font.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17739; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jun 2014 17:54:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 08 13:54:47 2014
Received: from localhost ([127.0.0.1]:41555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WthIs-0006SX-KG
	for submit <at> debbugs.gnu.org; Sun, 08 Jun 2014 13:54:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51480)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bgarvin@HIDDEN>) id 1Wtgyw-0005no-Ee
 for submit <at> debbugs.gnu.org; Sun, 08 Jun 2014 13:34:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bgarvin@HIDDEN>) id 1Wtgyl-0007wZ-4f
 for submit <at> debbugs.gnu.org; Sun, 08 Jun 2014 13:34:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34559)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bgarvin@HIDDEN>) id 1Wtgyl-0007wI-16
 for submit <at> debbugs.gnu.org; Sun, 08 Jun 2014 13:33:59 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53201)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bgarvin@HIDDEN>) id 1Wtgyf-0006lC-Hk
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jun 2014 13:33:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bgarvin@HIDDEN>) id 1Wtgya-0007uT-2U
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jun 2014 13:33:53 -0400
Received: from cse-mail.unl.edu ([129.93.165.11]:34543)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bgarvin@HIDDEN>) id 1WtgyZ-0007uM-R3
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jun 2014 13:33:48 -0400
X-Virus-Scanned: amavisd-new at cse.unl.edu
Received: from bgarvin-Lemur-Ultra (h159.78.88.75.dynamic.ip.windstream.net
 [75.88.78.159]) (authenticated bits=0)
 by cse-mail.unl.edu (8.14.8/8.14.5/SuSE Linux 0.8) with ESMTP id
 s58HXJHN008125
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NO)
 for <bug-gnu-emacs@HIDDEN>; Sun, 8 Jun 2014 12:33:45 -0500
From: Brady Garvin <bgarvin@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; Dotted circle does not combine with Thai vowel markers
Date: Sun, 08 Jun 2014 12:33:06 -0500
Message-ID: <871tuzgvcd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 08 Jun 2014 13:54:45 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

1. Start Emacs:
    $ emacs -Q
2. Type "=E2=97=8C=E0=B8=B6" (U+25CC followed by U+E36)

Expected behavior: the vowel marker appears over the dotted circle, per
the usual convention for presenting Thai vowels without preceding
consonants.

Actual behavior: the characters do not combine; a dotted circle is shown
followed by the vowel over empty space.

See also: http://en.wikipedia.org/wiki/Dotted_circle

Emacs-specific on my system.

Apologies if this is a duplicate; I could not find a prior report.


In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
 of 2014-03-07 on lamiak, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04 LTS

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=3D/usr' '--sharedstatedir=3D/var/lib' '--libexecdir=3D/usr/lib'
 '--localstatedir=3D/var/lib' '--infodir=3D/usr/share/info'
 '--mandir=3D/usr/share/man' '--with-pop=3Dyes'
 '--enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/2=
4.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-l=
isp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=3D/usr/lib/x86_64-linux-gnu' '--with-x=3Dyes'
 '--with-x-toolkit=3Dgtk3' '--with-toolkit-scroll-bars'
 'build_alias=3Dx86_64-linux-gnu' 'CFLAGS=3D-g -O2 -fstack-protector
 --param=3Dssp-buffer-size=3D4 -Wformat -Werror=3Dformat-security -Wall'
 'LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro'
 'CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2''

Important settings:
  value of $LC_TIME: en_GB.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> M-x r e p <tab> o <tab> r <tab> <retur
n>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list... [2 times]

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils help-mode easymenu time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)




Acknowledgement sent to Brady Garvin <bgarvin@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17739; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.